<?php
/*
#************* DATABASE.PHP
#===========================================================================
#= Project: PFBlog for PHP-Fusion
#= Version: 1.00
#= Website: http://www.pfmania.org
#===========================================================================
#= PHP-Fusion 6 Content Management System
#= Copyright  2002 - 2005 Nick Jones
#= http://www.php-fusion.co.uk/
#===========================================================================
#= Released under the terms & conditions of v2 of the
#= GNU General Public License. For details refer to
#= the included gpl.txt file or visit http://gnu.org
#===========================================================================
*/

function db_sql_entries_default($limit){
global $settings;
	// get the timedelta
	$timedelta = $settings["timeoffset"];
	if ($timedelta=="" || $timedelta=="0") $timedelta="+0";
	
	$sql = "SELECT DISTINCT ent.nEntryId,ent.cTitle,ent.cBody,DATE_ADD(ent.dAdded,INTERVAL ".$timedelta." HOUR) AS dAdded,DATE_ADD(ent.dEdited,INTERVAL ".$timedelta." HOUR) AS dEdited,ent.nUserAdded,ausr.user_name AS cUserAdded,ent.nUserEdited,eusr.user_name AS cUserEdited,ent.nComments"
		." FROM ".DB_PREFIX."blog_entries ent"
		." INNER JOIN ".DB_PREFIX."users ausr ON ent.nUserAdded=ausr.user_id"
		." INNER JOIN ".DB_PREFIX."users eusr ON ent.nUserEdited=eusr.user_id"
		." WHERE ent.cStatus='P' ORDER BY ent.dAdded DESC LIMIT ".$limit;

	return $sql;
}

// Description : Creates SQL to retrieve all entries within a particular day, month and year
function db_sql_entries_day($year,$month,$day){
global $settings;
	// get the timedelta
	$timedelta = $settings["timeoffset"];
	if ($timedelta=="" || $timedelta=="0") $timedelta="+0";
	
	$sql = "SELECT DISTINCT ent.nEntryId,ent.cTitle,ent.cBody,DATE_ADD(ent.dAdded,INTERVAL ".$timedelta." HOUR) AS dAdded,DATE_ADD(ent.dEdited,INTERVAL ".$timedelta." HOUR) AS dEdited,ent.nUserAdded,ausr.user_name AS cUserAdded,ent.nUserEdited,eusr.user_name AS cUserEdited,ent.nComments"
		." FROM ".DB_PREFIX."blog_entries ent"
		." INNER JOIN ".DB_PREFIX."users ausr ON ent.nUserAdded=ausr.user_id"
		." INNER JOIN ".DB_PREFIX."users eusr ON ent.nUserEdited=eusr.user_id"
		." WHERE MONTH(ent.dAdded)=".$month." AND YEAR(ent.dAdded)=".$year." AND DAYOFMONTH(ent.dAdded)=".$day
		." AND ent.cStatus='P' ORDER BY ent.dAdded DESC";
	return $sql;
}


// Description : Creates SQL to retrieve all entries within a particular month and year
function db_sql_entries_month($year,$month){
global $settings;
	// get the timedelta
	$timedelta = $settings["timeoffset"];
	if ($timedelta=="" || $timedelta=="0") $timedelta="+0";
	
	$sql = "SELECT DISTINCT ent.nEntryId,ent.cTitle,ent.cBody,DATE_ADD(ent.dAdded,INTERVAL ".$timedelta." HOUR) AS dAdded,DATE_ADD(ent.dEdited,INTERVAL ".$timedelta." HOUR) AS dEdited,ent.nUserAdded,ausr.user_name AS cUserAdded,ent.nUserEdited,eusr.user_name AS cUserEdited,ent.nComments"
		." FROM ".DB_PREFIX."blog_entries ent"
		." INNER JOIN ".DB_PREFIX."users ausr ON ent.nUserAdded=ausr.user_id"
		." INNER JOIN ".DB_PREFIX."users eusr ON ent.nUserEdited=eusr.user_id"
		." WHERE MONTH(ent.dAdded)=".$month." AND YEAR(ent.dAdded)=".$year
		." AND ent.cStatus='P'"
		." ORDER BY ent.dAdded DESC";
	return $sql;
}


// Description : Creates SQL to retrieve all entries with search terms in their title or body
function db_sql_entries_search($keywords){
global $settings;
	// get the timedelta
	$timedelta = $settings["timeoffset"];
	if ($timedelta=="" || $timedelta=="0") $timedelta="+0";
	
	$keywords = mysql_escape_string($keywords);
	$sql = "SELECT DISTINCT ent.nEntryId,ent.cTitle,ent.cBody,DATE_ADD(ent.dAdded,INTERVAL ".$timedelta." HOUR) AS dAdded,DATE_ADD(ent.dEdited,INTERVAL ".$timedelta." HOUR) AS dEdited,ent.nUserAdded,ausr.user_name AS cUserAdded,ent.nUserEdited,eusr.user_name AS cUserEdited,ent.nComments"
		." FROM ".DB_PREFIX."blog_entries ent"
		." INNER JOIN ".DB_PREFIX."users ausr ON ent.nUserAdded=ausr.user_id"
		." INNER JOIN ".DB_PREFIX."users eusr ON ent.nUserEdited=eusr.user_id"
		." WHERE ent.cTitle LIKE '%".$keywords."%' OR ent.cBody LIKE '%".$keywords."%'"
		." AND ent.cStatus='P'"
		." ORDER BY ent.dAdded DESC";

	return $sql;
}


// Description : Creates SQL to retrieve all entries of a particular category
function db_sql_entries_category($categoryid){
global $settings;
	// get the timedelta
	$timedelta = $settings["timeoffset"];
	if ($timedelta=="" || $timedelta=="0") $timedelta="+0";
	
	$sql = "SELECT DISTINCT ent.nEntryId,ent.cTitle,ent.cBody,DATE_ADD(ent.dAdded,INTERVAL ".$timedelta." HOUR) AS dAdded,DATE_ADD(ent.dEdited,INTERVAL ".$timedelta." HOUR) AS dEdited,ent.nUserAdded,ausr.user_name AS cUserAdded,ent.nUserEdited,eusr.user_name AS cUserEdited,ent.nComments"
		." FROM ".DB_PREFIX."blog_entries ent"
		." INNER JOIN ".DB_PREFIX."users ausr ON ent.nUserAdded=ausr.user_id"
		." INNER JOIN ".DB_PREFIX."users eusr ON ent.nUserEdited=eusr.user_id"
		." LEFT OUTER JOIN ".DB_PREFIX."blog_entry_categories entcat ON ent.nEntryId=entcat.nEntryId"
		." WHERE entcat.nCategoryId=".$categoryid
		." AND ent.cStatus='P'"
		." ORDER BY ent.dAdded DESC";

	return $sql;
}


// Description : Creates SQL to retrieve a particular entry
function db_sql_entries_entry($entryid){
global $settings;
	// get the timedelta
	$timedelta = $settings["timeoffset"];
	if ($timedelta=="" || $timedelta=="0") $timedelta="+0";
	
	$sql = "SELECT DISTINCT ent.nEntryId,ent.cTitle,ent.cBody,DATE_ADD(ent.dAdded,INTERVAL ".$timedelta." HOUR) AS dAdded,DATE_ADD(ent.dEdited,INTERVAL ".$timedelta." HOUR) AS dEdited,ent.nUserAdded,ausr.user_name AS cUserAdded,ent.nUserEdited,eusr.user_name AS cUserEdited, ent.nComments"
		." FROM ".DB_PREFIX."blog_entries ent"
		." INNER JOIN ".DB_PREFIX."users ausr ON ent.nUserAdded=ausr.user_id"
		." INNER JOIN ".DB_PREFIX."users eusr ON ent.nUserEdited=eusr.user_id"
		." WHERE ent.nEntryId=".$entryid;
	return $sql;
}


// Description : Creates SQL to retrieve a list of categories for a particular entry
function db_sql_entry_categories($entryid){
	$sql = "SELECT cat.nCategoryId,cat.cCategoryName"
		." FROM ".DB_PREFIX."blog_entry_categories entcat"
		." INNER JOIN ".DB_PREFIX."blog_categories cat ON entcat.nCategoryId=cat.nCategoryId"
		." WHERE entcat.nEntryId=".$entryid;
	return $sql;
}


// Description : Creates SQL to retrieve the comments for a particular entry
function db_sql_comments($entryid=""){
	if ($entryid!=""){
		$sql = "SELECT *"
			." FROM ".DB_PREFIX."blog_comments com"
			." WHERE com.nEntryId=".$entryid." AND approved=1"
			." ORDER BY com.nCommentId DESC";
	} else { $sql = ""; }
	return $sql;
}


// Description : Creates SQL to retrieve a list of all the categories
function db_sql_categorylist(){
	$sql = "SELECT cat.nCategoryId,cat.cCategoryName,COUNT(entcat.nEntryId) AS nCount"
		." FROM ".DB_PREFIX."blog_categories cat"
		." INNER JOIN ".DB_PREFIX."blog_entry_categories entcat ON cat.nCategoryId=entcat.nCategoryId"
		." INNER JOIN ".DB_PREFIX."blog_entries ent ON entcat.nEntryId=ent.nEntryId"
		." WHERE ent.cStatus='P' GROUP BY cat.nCategoryId,cat.cCategoryName ORDER BY cat.cCategoryName";
	return $sql;
}


function db_datetoarray($date){
	$year    = substr($date,0,4);
	$month   = substr($date,5,2);
	$day     = substr($date,8,2);
	$hours   = substr($date,11,2);
	$minutes = substr($date,14,2);
	$seconds = substr($date,17,2);

	$adate = getdate(mktime($hours,$minutes,$seconds,$month,$day,$year));
	
	// convert wday to turn it around (make sunday the final number)
	if ($adate["wday"]=="0") { $adate["wday"]=7; }
	
	return $adate;
}


?>