<?php
/*
#************* INFUSION.PHP
#===========================================================================
#= Project: PFBlog for PHP-Fusion
#= Version: 1.00
#= Website: http://www.pfmania.org
#===========================================================================
#= PHP-Fusion 6 Content Management System
#= Copyright  2002 - 2005 Nick Jones
#= http://www.php-fusion.co.uk/
#===========================================================================
#= Released under the terms & conditions of v2 of the
#= GNU General Public License. For details refer to
#= the included gpl.txt file or visit http://gnu.org
#===========================================================================
*/

if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."pfblog_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."pfblog_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."pfblog_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['blog100'];
$inf_description = $locale['blog101'];
$inf_version = "1.00";
$inf_developer = "nick56";
$inf_email = "giuseppe@nichelini.it";
$inf_weburl = "http://wwww.pfmania.org";

$inf_folder = "pfblog_panel"; // The folder in which the infusion resides.
$inf_admin_image = ""; // Leave blank to use the default image.
$inf_admin_panel = ""; // The admin panel filename if required.

$inf_link_name = $locale['blog102']; // if not required replace $locale['xxx103']; with "";
$inf_link_url = "pfblog.php"; // The filename you wish to link to.
$inf_link_visibility = "0"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 5; // Number of new db tables to create or drop.
$inf_insertdbrows = 19;

// Delete any items not required here.
$inf_newtable_[1] = "blog_categories (
  	nCategoryId bigint(20) NOT NULL auto_increment,
	cCategoryName varchar(254) NOT NULL default '',
	PRIMARY KEY  (nCategoryId)
) TYPE=MyISAM;";

$inf_newtable_[2] = "blog_comments (
	nCommentId bigint(20) NOT NULL auto_increment,
	nEntryId bigint(20) NOT NULL default '0',
	cComment mediumtext NOT NULL,
	cName varchar(254) NOT NULL default '',
	cEMail varchar(254) NOT NULL default '',
	cURL varchar(254) NOT NULL default '',
	dAdded datetime NOT NULL default '0000-00-00 00:00:00',
	approved tinyint(1) NOT NULL default '0',
	PRIMARY KEY  (nCommentId)
) TYPE=MyISAM;";
$inf_newtable_[3] = "blog_entries (
	nEntryId bigint(20) NOT NULL auto_increment,
	dAdded datetime NOT NULL default '0000-00-00 00:00:00',
	dEdited datetime NOT NULL default '0000-00-00 00:00:00',
	nUserAdded bigint(20) NOT NULL default '0',
	nUserEdited bigint(20) NOT NULL default '0',
	cTitle varchar(254) NOT NULL default '',
	cBody mediumtext NOT NULL,
	cTags varchar(254) NOT NULL default '',
	nComments bigint(20) NOT NULL default '0',
	cStatus char(1) NOT NULL default '',
	PRIMARY KEY  (nEntryId)
) TYPE=MyISAM;";
$inf_newtable_[4] = "blog_entry_categories (
	nEntryCategoryId bigint(20) NOT NULL auto_increment,
	nEntryId bigint(20) NOT NULL default '0',
	nCategoryId bigint(20) NOT NULL default '0',
	PRIMARY KEY  (nEntryCategoryId)
) TYPE=MyISAM;";
$inf_newtable_[5] = "blog_settings (
	cName varchar(254) NOT NULL default '',
	cValue varchar(254) NOT NULL default '',
	PRIMARY KEY  (cName)
) TYPE=MyISAM;";

$inf_droptable_[1] = "blog_categories";
$inf_droptable_[2] = "blog_comments";
$inf_droptable_[3] = "blog_entries";
$inf_droptable_[4] = "blog_entry_categories";
$inf_droptable_[5] = "blog_settings";

$inf_insertdbrow_[1] = "blog_categories VALUES (1, 'Default')";
$inf_insertdbrow_[2] = "blog_entries VALUES (1, '2006-09-01 00:00:00', '2006-09-01 00:00:00', 1, 1, 'Test Test', 'Test Test Test Test Test Test Test Test Test Test Test Test', '', 0, 'P')";
$inf_insertdbrow_[9] = "blog_settings VALUES ('rss_root_url', 'http://yourdomain/blog')";
$inf_insertdbrow_[10] = "blog_settings VALUES ('rss_title', 'Title of your Blog')";
$inf_insertdbrow_[11] = "blog_settings VALUES ('rss_description', 'Description of your blog')";
$inf_insertdbrow_[12] = "blog_settings VALUES ('rss_language', 'en-us')";
$inf_insertdbrow_[13] = "blog_settings VALUES ('rss_copyright', 'Copyright YOUR NAME, All Rights Reserved')";
$inf_insertdbrow_[14] = "blog_settings VALUES ('rss_editor', 'somebody@somewhere.com')";
$inf_insertdbrow_[15] = "blog_settings VALUES ('rss_webmaster', 'somebody@somewhere.com')";
$inf_insertdbrow_[16] = "blog_settings VALUES ('rss_category', 'Personal Blog')";
$inf_insertdbrow_[17] = "blog_settings VALUES ('rss_ttl', '60')";
$inf_insertdbrow_[18] = "blog_settings VALUES ('rss_image', '')";

//****************************************************************
// Initialize DB Users with Blog Role
//****************************************************************
$flag = TRUE;
$resInfusion = dbquery("SELECT * FROM ".$db_prefix."infusions WHERE inf_folder='$inf_folder'");
if (dbrows($resInfusion)) {
	$resU = dbquery("SHOW COLUMNS FROM ".$db_prefix."users");
	if( dbrows($resU) == 25) { $flag = FALSE; }
	if ($flag) {
		$resX = dbquery("ALTER TABLE ".$db_prefix."users ADD user_blogrole varchar(25) NOT NULL default ''");
		$resX = dbquery("UPDATE ".$db_prefix."users SET user_blogrole='administrator' WHERE user_id=1");
		$resX = dbquery("UPDATE ".$db_prefix."users SET user_blogrole='reader' WHERE user_id<>1");
	}
}
?>