<?php
/*
#************* PFBLOG.PHP
#===========================================================================
#= Project: PFBlog for PHP-Fusion
#= Version: 1.00
#= Website: http://www.pfmania.org
#===========================================================================
#= PHP-Fusion 6 Content Management System
#= Copyright  2002 - 2005 Nick Jones
#= http://www.php-fusion.co.uk/
#===========================================================================
#= Released under the terms & conditions of v2 of the
#= GNU General Public License. For details refer to
#= the included gpl.txt file or visit http://gnu.org
#===========================================================================
*/

require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";

require INFUSIONS."pfblog_panel/includes/database.php";
require INFUSIONS."pfblog_panel/includes/html.php";
require INFUSIONS."pfblog_panel/includes/misc.php";


// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."pfblog_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."pfblog_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."pfblog_panel/locale/English.php";
}


$adate = getdate();
$year  = $adate["year"];
$month = $adate["month"];
$day   = $adate["mday"];
// find out if we are looking at a specific entry, category or search
if (isset($_REQUEST["entryid"]) || isset($_REQUEST["categoryid"]) || isset($_REQUEST["keywords"])) {
	if ( isset($_REQUEST["entryid"]) ){
		if (is_numeric($_REQUEST["entryid"])){ $html = html_view_entry($_REQUEST["entryid"]); } 
		else { $html = html_view_default($year,$month); }
	} elseif ( isset($_REQUEST["categoryid"]) ){
		if (is_numeric($_REQUEST["categoryid"])){ $html = html_view_category($_REQUEST["categoryid"]); } 
		else { $html = html_view_default($year,$month);	}
	} elseif ( isset($_REQUEST["keywords"]) ){ $html = html_view_search($_REQUEST["keywords"]); }
} else {
	if ( isset($_REQUEST["year"]) && isset($_REQUEST["month"]) && isset($_REQUEST["day"]) ){
		if ( is_numeric($_REQUEST["year"]) && is_numeric($_REQUEST["month"]) && is_numeric($_REQUEST["day"]) ){
			$year  = $_REQUEST["year"];
			$month = $_REQUEST["month"];
			$day   = $_REQUEST["day"];
			$html  = html_view_day($year,$month,$day);
		} else { $html = html_view_default($year,$month); }
	} elseif ( isset($_REQUEST["year"]) && isset($_REQUEST["month"]) ){
		if ( is_numeric($_REQUEST["year"]) && is_numeric($_REQUEST["month"]) ){
			$year  = $_REQUEST["year"];
			$month = $_REQUEST["month"];
			$html  = html_view_month($year,$month);
		} else { $html = html_view_default($year,$month); }
	} else { $html = html_view_default($year,$month); }
}

switch ($_GET["action"]){
	case "comment_add":
		$result = comment_add($_REQUEST["entryid"],$_REQUEST["name"],$_REQUEST["email"],$_REQUEST["url"],$_REQUEST["comment"],$_REQUEST["verifycode"],$_REQUEST["remember"]);
		break;
}

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";


function comment_add($entryid,$name="",$email="",$url="",$comment="",$verifycode="",$remember=""){
global $locale,$settings;

	if ($settings['display_validation'] == "1") {
		$user_code = stripinput($verifycode);
		$result = dbquery("SELECT * FROM ".$db_prefix."vcode WHERE vcode_1='$user_code'");
		if (dbrows($result) == 0) { report_problem("PFBLOG.PHP","comment_add","Code_error");  } 
		else { $result = dbquery("DELETE FROM ".$db_prefix."vcode WHERE vcode_1='$user_code'"); }
	}
	if ($name!="" && $email!="" && comment!=""){
		if (censorwords($comment)==true){
			if ($url!=""){ if (substr($url,0,4)!="http"){ $url = "http://".$url; } }
			if (get_setting("verify_comments")!=""){ if (substr($comment,0,8)!="pending:"){ $comment = "pending:".$comment; } }			
			$name    = mysql_escape_string(strip_tags($name));
			$email   = mysql_escape_string(strip_tags($email));
			$url     = mysql_escape_string(strip_tags($url));
			$comment = mysql_escape_string(strip_tags($comment));
			$sql = "INSERT INTO ".DB_PREFIX."blog_comments (nEntryId,cName,cEMail,cURL,cComment,dAdded)"
					." VALUES (".$entryid.",'".$name."','".$email."','".$url."','".$comment."',now())";
			$result = dbquery($sql);
			if ($result!=false){
				$result = dbquery("UPDATE ".DB_PREFIX."blog_entries SET nComments=nComments+1 WHERE nEntryId=".$entryid);
				$result = dbquery("SELECT user_email FROM ".DB_PREFIX."users WHERE user_id=1");
				if (dbrows($result)>0){
					$row = dbarray($result);
					$admin_email = stripslashes($row["user_email"]);
				}
				$sql = "SELECT ent.cTitle,usr.user_email FROM ".DB_PREFIX."users usr"
					." INNER JOIN ".DB_PREFIX."entries ent ON usr.user_id=ent.nUserAdded"
					." WHERE ent.nEntryId=".$entryid;
				$result = dbquery($sql);
				if (dbrows($result)>0){
					$row = dbarray($result);
					$author_email = stripslashes($row["cEMail"]);
					$entry_title = stripslashes($row["cTitle"]);
				}
				if ($admin_email!="" && $author_email!=""){
					$url       = "http://".$_SERVER["SERVER_NAME"].$_SERVER["SCRIPT_NAME"];
					$url       = preg_replace("/exec.+/",INFUSIONS."pfblog/pfblog.php?entryid=".$entryid,$url);
					$admin_url = "http://".$_SERVER["SERVER_NAME"].$_SERVER["SCRIPT_NAME"];
					$admin_url = preg_replace("/exec.+/",INFUSIONS."pfblog/pfblog_admin.php?action=comment_list",$admin_url);
					if ($email!="") { $from = $email; } else { $from = $admin_email; } 
					$to = $author_email;
					$subject = $locale["blog800"]."'".$entry_title."'";
					$body  = $locale["blog801"]."'".$entry_title."'".$locale["blog802"];
					$body .= "=================================================\n\n";
					$body .= $locale["blog231"]."...\n".$comment."\n";
					$body .= $locale["blog235"]." ".$name." (".$email.")\n\n";
					$body .= "=================================================\n\n";
					$body .= $locale["blog803"]."  ".$url."\n\n";
					$body .= $locale["blog804"]."  ".$admin_url."\n\n";
					$body .= $locale["blog805"];
					$headers  = "From: \"".$from."\" <".$from.">\n";
					$headers .= "X-Sender: <".$from.">\n";
					$headers .= "X-Mailer: PHP\n";
					$headers .= "X-Priority: 1\n";
					$headers .= "Return-Path: ".$from.">\n";
					mail($to,$subject,$body,$headers);
				}
				redirect(INFUSIONS."pfblog_panel/pfblog.php?entryid=".$_REQUEST["entryid"]."&result=posted", "header");	
			} else { report_problem("PFBLOG.PHP","comment_add","Comment Insert Not OK!!"); }
		} else { report_problem("PFBLOG.PHP","comment_add","Words not Correct!!"); }
	} else { redirect(INFUSIONS."pfblog_panel/pfblog.php?entryid=".$entryid."&name=".urlencode($name)."&email=".urlencode($email)."&url=".urlencode($url)."&comment=".urlencode($comment)."&result=problem", "header"); }
return $result;	
}
?>