<?php
/*
#************* PFBLOG_ADMIN.PHP
#===========================================================================
#= Project: PFBlog for PHP-Fusion
#= Version: 1.00
#= Website: http://www.pfmania.org
#===========================================================================
#= PHP-Fusion 6 Content Management System
#= Copyright  2002 - 2005 Nick Jones
#= http://www.php-fusion.co.uk/
#===========================================================================
#= Released under the terms & conditions of v2 of the
#= GNU General Public License. For details refer to
#= the included gpl.txt file or visit http://gnu.org
#===========================================================================
*/

require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";

require INFUSIONS."pfblog_panel/includes/database.php";
require INFUSIONS."pfblog_panel/includes/misc.php";
require INFUSIONS."pfblog_panel/includes/html_admin.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."pfblog_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."pfblog_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."pfblog_panel/locale/English.php";
}

if (isset($_REQUEST["action"])) {$BlogAction = $_REQUEST["action"];}
elseif(isset($_POST["action"])) {$BlogAction = $_POST["action"];}

buildlist_image($role);
if (!isset($BlogAction)) { $BlogAction = "entry_list"; }
opentable($locale['blog700']);

$role = $userdata['user_blogrole'];
echo "<table border='1' cellspacing='0' cellpadding='3' width='100%' align='center' class='tbl-border'>\n";
echo "<tr><td class='tbl2' valign='top'>",adminblog_menu($role),"</td></tr>\n";
echo "<tr><td class='tbl2' valign='top'>";
switch ($BlogAction){
	case "entry_add":          AddNewBlog($role); break;
	case "entry_list":         ViewBlogList($role, $rowstart); break;
	case "entry_view":         ViewBlogEntry($_REQUEST["entryid"], $role); break;
	case "entry_edit":         EditBlog($_REQUEST["entryid"], $role); break;
	case "comment_edit":       BlogCommentEdit($_REQUEST["commentid"], $role); break;
	case "entry_remove":       DeleteBlog($_REQUEST["entryid"],$role); break;
	case "comment_remove":     DeleteComment($_REQUEST["commentid"],$role); break;
	case "comment_list": 	   ViewCommentList($role); break;
	case "gest_image": 	       GestImages($role,$view,$del,$status,$img); break;
}
if ($role == "administrator") {
	switch ($BlogAction){
		case "category_list":    echo BlogCategoryList($role); break;
		case "category_add":     echo BlogCategoryAdd($role); break;
		case "category_edit":    echo BlogCategoryEdit($_REQUEST["categoryid"],$role); break;
		case "category_remove":	 echo BlogCategoryRemove($_REQUEST["categoryid"],$role); break;
		case "user_list":		 echo BlogUserList($sortby, $rowstart); break;
		case "user_edit":		 echo BlogUserEdit($_REQUEST["userid"]); break;
		case "settings_edit":	 echo BlogSettings($role); break;
	}
}
echo "</td></tr></table>\n";
closetable();

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>