<?php
/*
#************* PFBLOG_PANEL.PHP
#===========================================================================
#= Project: PFBlog for PHP-Fusion
#= Version: 1.00
#= Website: http://www.pfmania.org
#===========================================================================
#= PHP-Fusion 6 Content Management System
#= Copyright  2002 - 2005 Nick Jones
#= http://www.php-fusion.co.uk/
#===========================================================================
#= Released under the terms & conditions of v2 of the
#= GNU General Public License. For details refer to
#= the included gpl.txt file or visit http://gnu.org
#===========================================================================
*/

if (!defined("IN_FUSION")) { header("Location:../../index.php"); exit; }


// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."pfblog_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."pfblog_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."pfblog_panel/locale/English.php";
}

openside("PHP-Fusion Blog System");

if ( ( FUSION_SELF == "pfblog.php" ) || ( FUSION_SELF == "pfblog_admin.php" )) {
	echo "<table align='center' border='1' cellspacing='5' cellpadding='1' width='100%'>\n";
	if (iMEMBER) {
	  	//if (($userdata['user_blogrole'] == "administrator") || ($userdata['user_blogrole'] == "author")) {
			echo "<tr><td class='forum-caption'><b>".$locale["blog200"]."</b></td></tr>\n";
			echo "<tr><td><a href='".INFUSIONS."pfblog_panel/pfblog_admin.php'><b>".$locale["blog284"]."</b></a></td></tr>\n";
		//}
	}
	echo "<tr><td class='forum-caption'><b>".$locale["blog285"]."</b></td></tr>\n";
	echo "<tr><td>",build_calendar($_REQUEST["year"],$_REQUEST["month"]),"</td></tr>\n";
	echo "<tr><td class='forum-caption'><b>".$locale["blog287"]."</b></td></tr>\n";
	echo "<tr><td>\n";
	echo "<form method='GET' action='".INFUSIONS."pfblog_panel/pfblog.php' style='padding:0px;margin:0px;'><input type='text' name='keywords' class='textbox' style='width:120px;'>&nbsp;<input type='submit' value='".$locale["blog288"]."' class='button'></form>\n";
	echo "</td></tr>\n";
	echo "<tr><td class='forum-caption'><b>".$locale["blog286"]."</b></td></tr>\n";
	echo "<tr><td>";
	$limit = 10;
	$timedelta = $settings["timedelta"];
	if ($timedelta=="" || $timedelta=="0") $timedelta="+0";
	$sql = "SELECT DISTINCT ent.nEntryId,ent.cTitle,ent.cBody,DATE_ADD(ent.dAdded,INTERVAL ".$timedelta." HOUR) AS dAdded,DATE_ADD(ent.dEdited,INTERVAL ".$timedelta." HOUR) AS dEdited,ent.nUserAdded,ausr.user_name AS cUserAdded,ent.nUserEdited,eusr.user_name AS cUserEdited,ent.nComments"
		." FROM ".DB_PREFIX."blog_entries ent INNER JOIN ".DB_PREFIX."users ausr ON ent.nUserAdded=ausr.user_id"
		." INNER JOIN ".DB_PREFIX."users eusr ON ent.nUserEdited=eusr.user_id"
		." WHERE ent.cStatus='P' ORDER BY ent.dAdded DESC LIMIT ".$limit;
		
	$result = dbquery($sql);
	if (dbrows($result)>0){
		while ($row = dbarray($result)){
			echo "<li>\n";
			echo "<a href='".INFUSIONS."pfblog_panel/pfblog.php?entryid=".$row["nEntryId"]."'>".stripslashes($row["cTitle"])."</a>\n";
			echo "<br>".$row["dAdded"]."</li>\n";
		}
	} else { echo "<li>".$locale["blog209"]."</li>";}
	echo "</td></tr>\n";
	echo "<tr><td class='forum-caption'><b>".$locale["blog230"]."</b></td></tr>\n";
	echo "<tr><td>";
	$sql = "SELECT cat.nCategoryId,cat.cCategoryName,COUNT(entcat.nEntryId) AS nCount"
			." FROM ".DB_PREFIX."blog_categories cat"
			." INNER JOIN ".DB_PREFIX."blog_entry_categories entcat ON cat.nCategoryId=entcat.nCategoryId"
			." INNER JOIN ".DB_PREFIX."blog_entries ent ON entcat.nEntryId=ent.nEntryId"
			." WHERE ent.cStatus='P' GROUP BY cat.nCategoryId,cat.cCategoryName ORDER BY cat.cCategoryName";
		
	$result_categories = dbquery($sql);
	if (dbrows($result_categories)>0){
		while ($row = dbarray($result_categories)){
			echo "<li><a href='".INFUSIONS."pfblog_panel/pfblog.php?categoryid=".stripslashes($row["nCategoryId"])."' title='".$locale["blog236"]."'>".strip_tags(stripslashes($row["cCategoryName"]))." (".$row["nCount"].")</a></li>\n";
		}
	} else { echo "<li>".$locale["blog279"]."</li>\n"; }
	echo "</td></tr>\n";
	echo "</table>\n";
} else {
	echo "<table border='0' cellspacing='0' cellpadding='0' width='100%' align='center'>\n";
	echo "<tr><td valign='top' align ='center'><a href='".INFUSIONS."pfblog_panel/pfblog.php'><br /><img src='".INFUSIONS."pfblog_panel/images/logo.gif' border='0'><br /></a></td></tr>\n";
	echo "</table>\n";  
}

closeside();


function build_calendar($year="",$month="") {
global $lo_tmois,$lo_tmoisBR,$lo_tjours,$tdaysBR,$settings;

	if ($month==""){ $month = date("n"); }
	if ($year==""){ $year = date("Y"); 	}
	$timedelta = $settings["timeoffset"];
	if ($timedelta=="" || $timedelta=="0") $timedelta="+0";
	$sql = "SELECT DAYOFMONTH( DATE_ADD(ent.dAdded,INTERVAL ".$timedelta." HOUR) ) AS nDay,COUNT(*) AS nCount FROM ".DB_PREFIX."blog_entries ent"
		." WHERE YEAR(ent.dAdded)=".$year." AND MONTH(ent.dAdded)=".$month
		." AND ent.cStatus='P'"
		." GROUP BY DAYOFMONTH( DATE_ADD(ent.dAdded,INTERVAL ".$timedelta." HOUR) )";
	$result = dbquery($sql);
	if ($result!=false){
		while($row = dbarray($result)){ $calendar_counts[$row["nDay"]] = $row["nCount"]; }
	} else { report_problem("PFBLOG_PANEL.PHP","build_calendar",mysql_error()."\n\n".$sql); }


	define ('ADAY', (60*60*24));
	$datearray = getdate(mktime(0,0,0,$month,1,$year));
	$start = mktime(0,0,0,$month,1,$year);
	$firstdayarray = getdate($start);
	$prev_month = $month - 1;
	$prev_year  = $year;
	$next_month = $month + 1;
	$next_year  = $year;
	if ($month==12) {
		$prev_month = $month - 1;
		$prev_year  = $year;
		$next_month = 1;
		$next_year  = $year + 1;
	}

	if ($month==1) {
		$prev_month = 12;
		$prev_year  = $year - 1;
		$next_month = $month + 1;
		$next_year  = $year;
	}
	echo "<table border='1' cellspacing='0' cellpadding='3' class='tbl-border' width='100%'>\n";
	echo "<tr><td colspan='7'>\n";
	echo "<table width='100%' border='0' cellspacing='0' cellpadding='0'><tr>\n";
	echo "<td align='left' width='1%' nowrap><b><a href='".INFUSIONS."pfblog_panel/pfblog.php?month=".$prev_month."&year=".$prev_year."'>&laquo;</a></b></td>\n";
	echo "<td align='center' width='100%'><b><a href='".INFUSIONS."pfblog_panel/pfblog.php?year=".$year."&month=".$month."'>".$lo_tmois[$datearray["mon"]-1]."&nbsp;".$year."</a></b></td>\n";
	echo "<td align='right' width='1%' nowrap><b><a href='".INFUSIONS."pfblog_panel/pfblog.php?month=".$next_month."&year=".$next_year."'>&raquo;</a></b></td>\n";
	echo "</tr></table>\n";
	echo "</td></tr>\n";
	echo "<tr>\n";
	for ($i=0; $i <= 6; $i++) { echo "<td align='center' class='scapmain'>".$tdaysBR[$i]."</td>\n"; }
	echo "</tr>\n";
	for ($count=1;$count<(6*7+1);$count++){
		$dayarray = getdate($start);
		if((($count) % 7) == 1) {
			if($dayarray['mon'] != $datearray['mon']) break;
			echo "</tr><tr>";
		}
		if ($firstdayarray["wday"]==0) { $firstday = 7; } 
		else { $firstday = $firstdayarray["wday"]; }
		if($count < $firstday || $dayarray['mon'] != $month) { echo "<td bgcolor='#ffffff'>&nbsp;</td>"; } 
		else {
			$date_url = INFUSIONS."pfblog_panel/pfblog.php?year=".$dayarray["year"]."&month=".$dayarray["mon"]."&day=".$dayarray["mday"];
			$today = getdate();
			if ( ($today["year"] == $dayarray["year"]) && ($today["mon"] == $dayarray["mon"]) && ($today["mday"] == $dayarray["mday"]) ){
				echo "<td bgcolor='#ffaa00' align='center'><b><a class='side' href='".$date_url."'>".$dayarray[mday]."</a></b></td>";
			} else {
				if ($calendar_counts[$dayarray[mday]]>0){
					echo "<td bgcolor='#dddddd' align='center'><b><a class='side' href='".$date_url."'>".$dayarray[mday]."</a></b></td>";
				} else {
					echo "<td bgcolor='#ffffff' align='center'>".$dayarray[mday]."</td>";
				}
			}		
			$start += ADAY;
			$testday = getdate($start);
			if ($testday["yday"]==$dayarray["yday"]){ $start += (ADAY/2); }
		}
	}
echo "</table>\n";	
}

?>